### Function

# GLib timeout_add_seconds_once

since: 2.78

#### Declaration [src]

    guint
    g_timeout_add_seconds_once (
      guint interval,
      GSourceOnceFunc function,
      gpointer data
    )

#### Description [src]

This function behaves like `g_timeout_add_once()` but with a range in seconds.

Available since: 2.78

This function is not directly available to language bindings.

#### Parameters

`interval`

  Type: `guint`

  The time after which the function will be called, in seconds.

`function`

  Type: `GSourceOnceFunc`

  Function to call.

`data`

  Type: `gpointer`

  Data to pass to `function`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The ID (greater than 0) of the event source.